%% Script for mass "matrix" of skew bridge

MDen = 0.0046627;

Adeck = 89.2344;
Abent = 20.6855;
Acap = 31.167;

L_ele_1 = 3.25;
L_ele_2 = 3.295;          
L_ele_3 = 3.29;           
L_ele_4 = 3.334;   
L_Bent = 3.3542;

% Deck
m1      = MDen*Adeck*L_ele_1/2;
m2      = m1*2;
mDeck_2 = MDen*Adeck*L_ele_2/2;
m3      = m1 + mDeck_2;
mDeck_3 = MDen*Adeck*L_ele_3/2;
mDeck_4 = MDen*Adeck*L_ele_4/2;
mBent   = MDen*Abent*L_Bent/2;  
mCap    = MDen*Acap*19/2;

mVec = zeros(99,1);

mVec(1) = m1;
mVec(2) = m2;
mVec(3) = m3;

m = mDeck_2*2;
for i=4:19
    mVec(i) = m;
end

m20 = mDeck_2 + mDeck_3;
mVec(20) = m20;

m = mDeck_3*2;
for i=21:38
    mVec(i) = m;
end

m39 = mDeck_3 + mDeck_4 + mCap*2;
mVec(39) = m39;

m = mDeck_4*2;
for i=40:78
    mVec(i) = m;
end

m79 = mDeck_4 + m1;
m80 = m1*2;
m81 = m1;

mVec(79) = m79;
mVec(80) = m80;
mVec(81) = m81;

% North Bent
mVec(82) = mBent;

m = mBent*2;
for i=83:89
    mVec(i) = m;
end

m90 = mBent + mCap;
mVec(90) = m90;

% South Bent
mVec(91) = mBent;

for i=92:98
    mVec(i) = m;
end

m99 = mBent + mCap;
mVec(99) = m99;
disp('Ok so far!')



