#-----------------------------------------------------------------------
#                                                  COLUMN FIBER SECTIONS
#                                                  ---------------------
# All units in feet, see assignMaterial.tcl for material tags

#---------Lower Bent----------------------------------------------------
set totalDia1 5
set coreDia1 [expr 5-2*(3.125/12)]
puts "$coreDia1"
set ReinDia1 [expr 11/8/12]
puts "$ReinDia1"
#set Area1 [expr 3.14/4*pow($ReinDia1,2)]
set Area1 [expr 3.14/4*$ReinDia1*$ReinDia1]
puts "$Area1"
set numBars1 36 

puts "Ok1"

#Section for lower part of bent
source CircularConc.tcl
#CircularConc Tag matTagCore matTagCover totalDia coreDia matTagSteel ReinDia numBars Area
CircularConc 11 4 5 $totalDia1 $coreDia1 6 $ReinDia1 $numBars1 $Area1

puts "Ok2"

#Add Linear Elastic Torsion to Column
set pi [expr 22.0/7.0]
set Jc [expr $pi*pow(($totalDia1/2),4)/2]
set GJc [expr $Gbent*$Jc]
uniaxialMaterial Elastic 100 $GJc
#Section Aggregtor Tag matTag Force Section 
section Aggregator 1 100 T -section 11  
puts "finished creating the lower column section with torsion..."


#---------Upper Bent----------------------------------------------------
##Section for upper part of bent
#source CircularConc.tcl
#CircularConc Tag matTagCore matTagCover totalDia coreDia matTagSteel ReinDia numBars Area



