wipe all;

set fileIdX [open ../GMs2/input.txt r]
set fileIdX2 [open ../GMs2/Scale_Factors.txt r]
set fileIdY [open ../GMs/input.txt r]
set fileIdY2 [open ../GMs/Scale_Factors.txt r]

source ReadSMDFileX.tcl
source ReadSMDFileY.tcl
set str 4
for {set GM 1} {$GM <= 4} {incr GM 1} {

	gets $fileIdX xFile
	gets $fileIdX2 GMfattX
	ReadSMDFileX ../GMs2/$xFile $GM dtX NstepsX;

	gets $fileIdY yFile
	gets $fileIdY2 GMfattY
	ReadSMDFileY ../GMs/$yFile $GM dtY NstepsY;

	if {$GM >= $str} {
		file mkdir ../Skew_Unscaled/output/M_$GM
		set filename "../Skew_Unscaled/output/M_$GM"

		source main.tcl

		puts $xFile
		puts $yFile

		if {$dtX == $dtY && $NstepsX == $NstepsY} {
			set dt $dtX
			set Nsteps $NstepsX
			if {$Nsteps > 10000} {
				set Nsteps 10000
			}
		} else {
			puts "Error in matching dt or Nsteps btw comp"
			break
		}

		main $GM $Nsteps $dt $GMfattX $xFile $GMfattY $yFile $filename
	}
}

close $fileIdX 
close $fileIdX2
close $fileIdY 
close $fileIdY2

remove recorders



