#-----------------------------------
# MATERIAL & SECTION PROPERTIES
#-----------------------------------
set E_conc      417708; 			# from Zhang & Makris
set EEbent      $E_conc
set EEdeck      $E_conc;    		# Youngs modulus
set EEcap       481320;     		# not used in this model
#----DECK-----------
set Edeck      $EEdeck;             # Youngs modulus
set Adeck      89.2344;            	# Area 
set Gdeck     [expr $Edeck/2.4];   	# Shear modulus
set Jdeck     1349.2459;            # torsional coeff
set Iydeck    421.7017;            	# local y-axis
set Izdeck    17831.428;            # local z-axis
#----BENT-lower part------------
set Ebent      $EEbent
set Abent      20.6855
set Gbent      [expr $Ebent/2.4]
set Jbent      64.78 
set Iybent     34.128
set Izbent     34.128
#----BENT-upper part------------
set Abent_u    [expr 34.7051*pow($c_Bent,2)]
set Gbent_u    [expr $Ebent/2.4]
set Jbent_u    [expr 182.3594*pow($c_Bent,4)] 
set Iybent_u   [expr 96.0650*pow($c_Bent,4)]
set Izbent_u   [expr 96.0650*pow($c_Bent,4)]
#----CAP BEAM------------
set Ecap      $EEcap
set Acap      31.167
set Gcap      [expr $Ecap/2.4]
set Jcap      136.312
set Iycap     83.399
set Izcap     78.566
